/* Remove everything from the database other than bonsai to export */

begin exclusive transaction;

/* Clear unneeded tables */
delete from pot;
delete from log;
delete from event;

/* Delete images unconnected to bonsai */
delete from image where type != 0;

/* Zero-out pot, log, and event counts */
update version set num_pots = 0;
update version set num_logs = 0;
update version set num_events = 0;

/* Update image count */
update version set num_images = (select count(*) from image);

commit;