/* Remove everything from the database other than pots to export */

begin exclusive transaction;

/* Clear unneeded tables */
delete from bonsai;
delete from log;
delete from species;
delete from event;

/* Delete images unconnected to pots */
delete from image where type != 1;

/* Zero-out bonsai, logs, events, and species counts */
update version set num_bonsai = 0;
update version set num_logs = 0;
update version set num_events = 0;
update version set num_species = 0;

/* Update image count */
update version set num_images = (select count(*) from image);

commit;
