/* Upgrade Bonsai Album database from v1 to v2 */

begin exclusive transaction;

/* Copy existing data into new tables */
create table old_bonsai as select * from bonsai;

/* Drop old tables */
drop table bonsai;

/* Create new bonsai table with new photo_key fields */
CREATE TABLE bonsai (pk INTEGER PRIMARY KEY, name CHAR(200), photo1_key INTEGER, photo2_key INTEGER, photo3_key INTEGER, photo4_key INTEGER, photo5_key INTEGER, common_name CHAR(200), scientific_name CHAR(200), source INTEGER, plant_date REAL, style INTEGER, height CHAR(200), canopy_width CHAR(200), trunk_width CHAR(200), pot_key INTEGER, winter_indoors BOOLEAN, purchase_date REAL, purchase_price REAL, notes CHAR(5000));

/* Copy old data back into tables */
insert into bonsai (pk, name, photo1_key, photo2_key, common_name, scientific_name, source, plant_date, style, height, canopy_width, trunk_width, pot_key, winter_indoors, purchase_date, purchase_price, notes) select pk, name, photo1_key, photo2_key, common_name, scientific_name, source, plant_date, style, height, canopy_width, trunk_width, pot_key, winter_indoors, purchase_date, purchase_price, notes from old_bonsai;

/* Update new photo key values */
update bonsai set photo3_key = -1, photo4_key = -1, photo5_key = -1;

/* Update database version number */
update version set version_num = 2;

/* Remove temporary tables */
drop table old_bonsai;

commit;
