/* Upgrade Bonsai Album database from v2 to v3 */

begin exclusive transaction;

/* Copy existing data into new tables */
create table old_log as select * from log;

/* Drop old tables */
drop table log;

/* Create new log table with new reminder field */
CREATE TABLE log (pk INTEGER PRIMARY KEY, type INTEGER, date REAL, reminder BOOLEAN, reminder_id CHAR(100), bonsai_key INTEGER, pot_key INTEGER, event CHAR(200), photo1_key INTEGER, photo2_key INTEGER, note_summary CHAR(200), notes CHAR(5000));

/* Copy old data back into table */
INSERT INTO log (pk, type, date, bonsai_key, pot_key, event, photo1_key, photo2_key, note_summary, notes) SELECT pk, type, date, bonsai_key, pot_key, event, photo1_key, photo2_key, note_summary, notes FROM old_log;

/* Update new reminder values */
update log set reminder = 0;

/* Update database version number */
update version set version_num = 3;

/* Remove temporary table */
drop table old_log;

commit;
