/* Upgrade Bonsai Album database from v3 to v4 */

begin exclusive transaction;

/* Create new image table with rearranged fields */
CREATE TABLE new_image (pk INTEGER PRIMARY KEY, type INTEGER, key INTEGER, tag INTEGER, thumbnail BLOB, photo BLOB, caption CHAR(200));

/* Copy old data back into table */
INSERT INTO new_image (pk, type, key, tag, thumbnail, photo, caption) SELECT pk, type, key, tag, thumbnail, photo, caption FROM image;

/* Drop old table */
DROP TABLE image;

/* Rename new table */
ALTER TABLE new_image RENAME TO image;

/* Update database version number */
update version set version_num = 4;

commit;

/* Compact database */
vacuum;
