/* Upgrade Bonsai Album database from v4 to v5 */

begin exclusive transaction;

/* Add new bonsai columns */
ALTER TABLE bonsai ADD COLUMN identifier CHAR(200);
ALTER TABLE bonsai ADD COLUMN in_collection BOOLEAN;
ALTER TABLE bonsai ADD COLUMN source_text CHAR(200);
ALTER TABLE bonsai ADD COLUMN value REAL;
ALTER TABLE bonsai ADD COLUMN sell_price REAL;
ALTER TABLE bonsai ADD COLUMN fertilizer CHAR(200);
ALTER TABLE bonsai ADD COLUMN location CHAR(200);
ALTER TABLE bonsai ADD COLUMN weight CHAR(200);
ALTER TABLE bonsai ADD COLUMN light CHAR(200);
ALTER TABLE bonsai ADD COLUMN temperature CHAR(200);
ALTER TABLE bonsai ADD COLUMN medium CHAR(200);

/* Add new pot columns */
ALTER TABLE pot ADD COLUMN value REAL;
ALTER TABLE pot ADD COLUMN sell_price REAL;
ALTER TABLE pot ADD COLUMN weight CHAR(200);
ALTER TABLE pot ADD COLUMN in_collection BOOLEAN;
ALTER TABLE pot ADD COLUMN location CHAR(200);
ALTER TABLE pot ADD COLUMN identifier CHAR(200);

/* Create new image mapping table with additional fields */
CREATE TABLE image_map (pk INTEGER PRIMARY KEY, image_key INTEGER, bonsai_key INTEGER, bonsai_tag INTEGER, pot_key INTEGER, pot_tag INTEGER);

/* Update database version number */
update version set version_num = 5;

commit;

/* Compact database */
vacuum;
